Subject: Re: linux-next: manual merge of the dma-mapping tree with Linus' tree

From: Christoph Hellwig <[email-masked]>
Date: Tue, 22 Nov 2022 07:11:58 +0100

On Tue, Nov 22, 2022 at 10:06:11AM +1100, Stephen Rothwell wrote:
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks Stephen,

the fix look good.  The being said the code in the sound tree here
is questionable to start with:

>   #ifdef CONFIG_SND_DMA_SGBUF
>  +	if (!sgt && !get_dma_ops(dmab->dev.dev)) {
>   		if (dmab->dev.type == SNDRV_DMA_TYPE_DEV_WC_SG)
>   			dmab->dev.type = SNDRV_DMA_TYPE_DEV_WC_SG_FALLBACK;
>   		else

driver have no busuness calling get_dma_ops and poking into the
dma-mapping internals.